# Uses of Class
org.globus.io.gass.client.GassException

Packages that use GassException
Package
Description
org.globus.io.gass.server
Provides a pure Java Globus GASS server for transferring files via HTTPS.
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.

## Uses of GassException in org.globus.io.gass.server

Methods in org.globus.io.gass.server that throw GassException
Modifier and Type
Method
Description
`void`
RemoteGassServer.`start(String rmc)`
Starts the gass server on the remote machine.

## Uses of GassException in org.globus.io.streams

Constructors in org.globus.io.streams that throw GassException
Modifier
Constructor
Description
``
`GassInputStream(String host, int port, String file)`
Opens Gass input stream in secure mode with default user credentials.
``
`GassInputStream(GSSCredential cred, Authorization auth, String host, int port, String file)`
Opens Gass input stream in secure mode with specified user credentials.
``
`GassOutputStream(String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with default user credentials.
``
`GassOutputStream(GSSCredential cred, String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with specified user credentials.
``
`GassOutputStream(GSSCredential cred, Authorization auth, String host, int port, String file, long length, boolean append)`
Opens Gass output stream in secure mode with specified user credentials.
``
`HTTPOutputStream(String host, int port, String file, long length, boolean append)`
Opens HTTP output stream (unsecure)